From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/mechanize/
Date: Sat, 8 Apr 2023 07:25:21 +0000 (UTC) [thread overview]
Message-ID: <1680938712.e280309a11d937e9e14dcae81c8316c753c23597.graaff@gentoo> (raw)
commit: e280309a11d937e9e14dcae81c8316c753c23597
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 8 07:22:36 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Apr 8 07:25:12 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e280309a
dev-ruby/mechanize: add 2.9.0
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/mechanize/Manifest | 1 +
dev-ruby/mechanize/mechanize-2.9.0.ebuild | 45 +++++++++++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/dev-ruby/mechanize/Manifest b/dev-ruby/mechanize/Manifest
index ca2dbec7f44c..2072a1c0d0db 100644
--- a/dev-ruby/mechanize/Manifest
+++ b/dev-ruby/mechanize/Manifest
@@ -1 +1,2 @@
DIST mechanize-2.8.5.gem 142848 BLAKE2B 73fbf0ef6e3091bd37ace311415056bbc94ef22cfe5411b440faa791747faac349765db20c18a0133037e9564c061c13b250aa2a5677152d7fa0732d8a4a10cd SHA512 8ef26d80c7c55f564084eedf6c7255849ccf6efbb2e6ce11ddb3b5f8f3591861200041b89416ab3d8b9a8595c6c8de1f9c7e01b8e0c6b63265488498e2584c94
+DIST mechanize-2.9.0.gem 142848 BLAKE2B caea8897860db3fd0f5d8abb5102f5cc6ba3379e5e8dbc046dc8f709d1adec10e9101db1a88295c53f5da51d4bbf78fc51454eb105ae7417a5707d0f30d80e5b SHA512 0402fbed9e740b3faf0f76ce3ccb88602d0243ad54f7e025586c0c75ae08670c6be53c49d425b3c7378af2fff478d17b61d238fb7d2858b26629d68089a09657
diff --git a/dev-ruby/mechanize/mechanize-2.9.0.ebuild b/dev-ruby/mechanize/mechanize-2.9.0.ebuild
new file mode 100644
index 000000000000..5244492e278e
--- /dev/null
+++ b/dev-ruby/mechanize/mechanize-2.9.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md EXAMPLES.rdoc GUIDE.rdoc README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby library used for automating interaction with websites"
+HOMEPAGE="https://github.com/sparklemotion/mechanize"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend ">=dev-ruby/hoe-3.7
+ test? ( dev-ruby/minitest:5 )"
+
+ruby_add_rdepend "
+ >=dev-ruby/addressable-2.8:0
+ >=dev-ruby/domain_name-0.5.20190701:0
+ >=dev-ruby/http-cookie-1.0.3:0
+ dev-ruby/mime-types:3
+ >=dev-ruby/net-http-digest_auth-1.4.1:0
+ || ( dev-ruby/net-http-persistent:4 dev-ruby/net-http-persistent:3 )
+ >=dev-ruby/nokogiri-1.11.2:0
+ >=dev-ruby/rubyntlm-0.6.3:0
+ >=dev-ruby/webrick-1.7:0
+ >=dev-ruby/webrobots-0.1.2 =dev-ruby/webrobots-0.1*
+"
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test -e '$VERBOSE=true; Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ docinto examples
+ dodoc examples/*
+}
next reply other threads:[~2023-04-08 7:25 UTC|newest]
Thread overview: 54+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-04-08 7:25 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-06 14:27 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/mechanize/ Sam James
2024-08-01 5:58 Hans de Graaff
2024-08-01 5:58 Hans de Graaff
2024-07-19 9:52 Hans de Graaff
2024-07-16 6:02 Hans de Graaff
2024-07-16 6:02 Hans de Graaff
2024-06-13 5:50 Hans de Graaff
2024-01-23 8:27 Hans de Graaff
2024-01-16 7:36 Hans de Graaff
2023-09-16 4:23 Hans de Graaff
2023-08-29 17:19 Hans de Graaff
2023-04-18 6:26 Hans de Graaff
2023-04-16 7:16 Hans de Graaff
2023-04-07 6:34 Hans de Graaff
2023-03-31 1:03 Sam James
2022-07-13 9:25 Hans de Graaff
2022-06-26 6:20 Hans de Graaff
2022-06-10 4:54 Hans de Graaff
2022-06-10 4:54 Hans de Graaff
2022-03-27 9:54 Hans de Graaff
2022-03-27 9:54 Hans de Graaff
2022-01-20 6:40 Hans de Graaff
2022-01-20 6:40 Hans de Graaff
2021-11-12 6:29 Hans de Graaff
2021-10-24 5:34 Hans de Graaff
2021-08-07 7:33 Hans de Graaff
2021-08-07 7:33 Hans de Graaff
2021-05-14 4:18 Hans de Graaff
2021-05-10 12:31 Sam James
2021-04-04 6:53 Hans de Graaff
2021-02-23 7:01 Hans de Graaff
2021-02-04 5:56 Hans de Graaff
2021-02-04 5:56 Hans de Graaff
2021-02-02 5:56 Hans de Graaff
2020-06-06 8:04 Hans de Graaff
2019-05-04 19:14 Hans de Graaff
2018-12-12 10:11 Hans de Graaff
2018-11-23 10:53 Hans de Graaff
2018-09-12 4:51 Hans de Graaff
2018-06-03 5:35 Hans de Graaff
2018-01-24 16:43 Hans de Graaff
2018-01-21 19:37 Hans de Graaff
2018-01-21 19:37 Hans de Graaff
2017-08-26 8:27 Hans de Graaff
2017-02-03 7:36 Hans de Graaff
2017-02-03 7:36 Hans de Graaff
2016-12-24 13:55 Manuel Rüger
2016-11-25 14:49 Hans de Graaff
2016-08-23 5:06 Hans de Graaff
2016-06-13 5:16 Hans de Graaff
2016-06-13 5:16 Hans de Graaff
2016-06-13 5:16 Hans de Graaff
2016-01-01 7:22 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1680938712.e280309a11d937e9e14dcae81c8316c753c23597.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox